Skip to main content
GET
Get Custom Pipeline Status

Authorizations

X-API-Key
string
header
required

Path Parameters

lookup_key
string
required

Cookies

wos-session
string
datalab_active_team
string

Response

Successful Response

Response schema for checking the status of a custom processor request.

status
string
required

Current status: 'processing', 'completed', or 'failed'

sent_at
string
required

ISO timestamp when request was submitted

processor_id
string | null

Unique ID for executing this processor (format: cp_XXXXX). Only available when status='completed' and success=True.

request_description
string | null

Request description (from active version)

success
boolean | null

Whether generation succeeded

error_message
string | null

Error message if failed

runtime
number | null

Execution time in seconds

completed_at
string | null

ISO timestamp when request completed

pipeline_params
Pipeline Params · object | null

Active version pipeline parameters

pipeline_id
string | null

Pipeline ID (pl_XXXXX) for the auto-created workspace pipeline. Only available when status='completed' and success=True.